campagne :
  titre : "Code global, coordonnées, compte"
  adminFamille : "Code Global"
  description :  "Dossier : code global + nom, prénom, email, adresse<br/>Compte joueur<br/>"
  is_disponible : true
  configuration :    
    has_participant : true
    has_tirage : true
    participation_init :
      setActeur : AUCUN
    notes :
      mini_lock_fe : 100
      maxi_purgek : 99
    include_commons : [20.tirage-std.yml, 90.sys_cms.yml]
  etapes : 
    fe_home :
      action : dossier
      etape : code_global
      route: fe_home
    code_global :
      type : dossier
      route : fe_dossier
      desc : saisie code global
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : creerParticipation
#        preaction : [tirage]
      lignes : 
        5 :
          type : text
          key : titre 
          value : Jouer !
          css : titre 
          tag : h1
        10 :
          type : form
          key : scode 
          note : 10 
          label : 'Votre code de participation'
          form_config : { }
          form_validation : 
            NotBlank : ~
        80 : 
          type : form
          key : isAccepte
          note : 10
          label : "" 
          form_config : { "label" : "J'accepte le règlement du jeu <small>(obligatoire)</small>" }
          form_validation : 
            IsTrue: 
              message: Vous devez accepter le règlement
        90 :
          type : reglement-btn
          key : reglement 
          value : Règlement du jeu
          css : pull-right             
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : coordonnees 
    coordonnees :
      type : dossier
      route : fe_dossier
      desc : saisie nom, prénom, email
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
#        preaction : [tirage]
      lignes : 
        5 :
          type : text
          key : titre 
          value : Vos coordonnées 
          css : titre 
          tag : h1
        10 :
          type : form
          key : nom 
          note : 10 
          label : 'Nom'
          form_config : { }
          form_validation : 
            NotBlank: ~
        20 : 
          type : form
          key : prenom
          note : 10
          label : 'Prénom' 
          form_config : { }
          form_validation : 
            NotBlank: ~
        30 :
          type : form
          key : email 
          note : 20
          label : 'Email' 
          form_config : { }
          form_validation : 
            NotBlank : ~
            Email: ~
        40 :
          type : form
          key : adr1 
          note : 10
          label : 'Adresse' 
          form_config : { }
          form_validation : 
            NotBlank: ~
        50 :
          type : form
          key : adr2
          note : 10
          label : 'Complément' 
          form_config : { }
          form_validation : ~
        60 :
          type : form
          key : cp 
          note : 10
          label : 'Code postal' 
          form_config : { }
          form_validation : 
            NotBlank: ~
        70 :
          type : form
          key : ville 
          note : 10
          label : 'Ville' 
          form_config : { }
          form_validation : 
            NotBlank: ~
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : inscription 
    inscription :
      type : redirect
      route : fe_inscription
      desc : inscription
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
      etapes_suivantes : 
        ok : lock_participation
      lignes : 
        5 :
          type : text
          value : Votre compte 
          key : titre 
          css : titre 
          tag : h1          
        30 :
          type : form
          key : email1 
          label : 'Email'
          no_help_block : true              
        40 :
          type : form
          key : email2 
          label : 'Confirmez votre email'
          no_help_block : true           
        50 :
          type : form
          key : mdp1 
          label : 'Mot de passe'
          no_help_block : true            
        60 :
          type : form
          key : mdp2 
          label : 'Confirmez votre mot de passe'
          no_help_block : true 
        70 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok        
    login :
      type : redirect
      route : fe_login
      desc : identification
      init :
        requis :
          participation :
            getIsDossierLocked : false
      etapes_suivantes : 
        ok : fe_inscription
      lignes : 
        5 :
          type : text
          value : Merci de vous authentifier 
          key : titrehorsparcours 
          css : titre 
          tag : h1 
          be_edit_help_block : "Seulement si hors parcours (ex : bouton mon compte)"         
        30 :
          type : form
          key : emailhorsparcours
          label : 'Adresse email'              
          no_help_block : true         
        40 :
          type : form
          key : passwordhorsparcours
          label : 'Mot de passe'           
          no_help_block : true         
        50 :
          type : text
          value : Merci de saisir votre mot de passe 
          key : titreparcours 
          css : titre 
          tag : h1          
          be_edit_help_block : "Seulement si dans parcours"         
        60 :
          type : form
          key : emailparcours
          label : 'Adresse email'              
          no_help_block : true         
        70 :
          type : form
          key : passwordparcours 
          label : 'Mot de passe'           
          no_help_block : true        
    lock_participation :
      type : redirect
      route : fe_lock_participation
      desc : tirage + validation de la participation et redirection
      init :
        requis :
          participation :
            getIsDossierLocked : false
            hasParticipant: true
        sinon : fe_home
      lignes : 
        10 :
          type : cms
          key : coordonnees_physique
          default : "Veuillez compléter vos coordonnées afin que nous puissions vous faire parvenir votre lot.<br/><br/>"       
        30 :
          type : form
          key : nom 
          label : 'Nom'
          form_config : { }
          form_validation : 
            NotNull: ~
        40 : 
          type : form
          key : prenom
          label : 'Prénom' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        50 : 
          type : form
          key : adr1
          label : 'Adresse' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        60 : 
          type : form
          key : adr2
          label : 'Complément' 
          form_config : { } 
        70 : 
          type : form
          key : cp
          label : 'Code postal' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        80 : 
          type : form
          key : ville
          label : 'Ville' 
          form_config : { }
          form_validation : 
            NotNull: ~   
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok                
      etapes_suivantes : 
        perdant : perdant
        gagnant : gagnant
        gagnant_possible : gagnant_possible
        tirage_impossible : tirage_impossible
